import { ChangeDetectorRef, ComponentFactoryResolver, ElementRef, QueryList, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { IgxColumnComponent } from '../columns/column.component';
import { PivotGridType } from '../common/grid.interface';
import { IgxGridHeaderRowComponent } from '../headers/grid-header-row.component';
import { IPivotDimension, IPivotDimensionData } from './pivot-grid.interface';
import { IgxPivotRowDimensionHeaderGroupComponent } from './pivot-row-dimension-header-group.component';
import * as i0 from "@angular/core";
/**
 *
 * For all intents & purposes treat this component as what a <thead> usually is in the default <table> element.
 *
 * This container holds the pivot grid header elements and their behavior/interactions.
 *
 * @hidden @internal
 */
export declare class IgxPivotRowDimensionContentComponent extends IgxGridHeaderRowComponent {
    grid: PivotGridType;
    protected ref: ElementRef<HTMLElement>;
    protected cdr: ChangeDetectorRef;
    protected resolver: ComponentFactoryResolver;
    protected viewRef: ViewContainerRef;
    /**
     * @hidden
     * @internal
     */
    rowIndex: number;
    dimension: IPivotDimension;
    rowData: any;
    /**
    * @hidden @internal
    */
    headerTemplate: TemplateRef<any>;
    /**
     * @hidden @internal
     */
    headerTemplateDefault: TemplateRef<any>;
    headerGroups: QueryList<IgxPivotRowDimensionHeaderGroupComponent>;
    constructor(grid: PivotGridType, ref: ElementRef<HTMLElement>, cdr: ChangeDetectorRef, resolver: ComponentFactoryResolver, viewRef: ViewContainerRef);
    /**
     * @hidden @internal
     */
    rowDimensionData: IPivotDimensionData;
    get rowDimensionColumn(): import("../common/grid.interface").ColumnType;
    /**
    * @hidden
    * @internal
    */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * @hidden
     * @internal
     */
    getRowDimensionKey(col: IgxColumnComponent): string;
    getExpandState(col: IgxColumnComponent): boolean;
    getLevel(col: IgxColumnComponent): any;
    get rowSpan(): any;
    get headerHeight(): number;
    protected extractFromDimensions(): void;
    protected getPrevDims(currDim: any): any[];
    protected extractFromDimension(dimData: any, rowData: any[], lvl: any): IgxColumnComponent;
    protected _createColComponent(field: string, header: string, dim: IPivotDimension, lvl: any): IgxColumnComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPivotRowDimensionContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPivotRowDimensionContentComponent, "igx-pivot-row-dimension-content", never, { "rowIndex": "rowIndex"; "dimension": "dimension"; "rowData": "rowData"; }, {}, never, never>;
}
