import { ChangeDetectorRef, ComponentFactoryResolver, ElementRef, ViewContainerRef } from '@angular/core';
import { IgxRowDirective } from '../row.directive';
import { IgxGridSelectionService } from '../selection/selection.service';
import { IgxColumnComponent } from '../columns/column.component';
import { PivotGridType } from '../common/grid.interface';
import * as i0 from "@angular/core";
export declare class IgxPivotRowComponent extends IgxRowDirective {
    grid: PivotGridType;
    selectionService: IgxGridSelectionService;
    element: ElementRef<HTMLElement>;
    cdr: ChangeDetectorRef;
    protected resolver: ComponentFactoryResolver;
    protected viewRef: ViewContainerRef;
    /**
     * @hidden
     */
    get selected(): boolean;
    constructor(grid: PivotGridType, selectionService: IgxGridSelectionService, element: ElementRef<HTMLElement>, cdr: ChangeDetectorRef, resolver: ComponentFactoryResolver, viewRef: ViewContainerRef);
    /**
     * @hidden
     * @internal
     */
    get viewIndex(): number;
    getCellClass(col: IgxColumnComponent): any;
    isCellActive(visibleColumnIndex: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPivotRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPivotRowComponent, "igx-pivot-row", never, { "selected": "selected"; }, {}, never, never>;
}
